{% extends "base.html" %}

{% block content %}
<h3>Mes notes de frais</h3>
<div style="vertical-align: middle; display: inline;">
  {% if "all" in request.GET %}
    <a href="{% url "index" %}" style="float-right"><button>Mes notes de frais en cours</button></a>
    <spacer type="vertical" align="center" />
    <button disabled>Toutes mes notes de frais</button>
  {% else %}
    <button disabled>Mes notes de frais en cours</button>
    <spacer type="vertical" align="center" />
    <a href="{% url "index" %}?all" style="float-right"><button>Toutes mes notes de frais</button></a>
  {% endif %}
</div>
<table>
  <thead>
    <tr>
      <th>ID</th>
      <th>Date</th>
      <th>Status</th>
      <th>Événement</th>
      <th>Descriptif</th>
      <th>Montant</th>
    </tr>
  </thead>
  <tbody>
    {% for object in object_list %}
    <tr>
      <td>{% if object.document_id %}{{ object.document_id }}{% endif %}</td>
      <td>{% if object.submitted_at %}{{ object.submitted_at.date }}{% else %}{{ object.created.date }}{% endif %}</td>
      <td>{{ object.get_state_display }}</td>
      <td class="text-wrap"><a href="{% url "expense-report-detail" object.pk %}">{{ object.get_event_display }} : {{ object.event_description }}</a></td>
      <td class="text-wrap">{{ object.description }}</td>
      <td>{{ object.amount }} €</td>
    </tr>
    {% endfor %}
  </tbody>
</table>
{% endblock %}
